#include<iostream>

using namespace std;

int main(){
	int n,l;
	cin>>n>>l;
	int visine[n];
	bool ima=false;
	for(int i=0; i<n; i++){
		cin>>visine[i];
	}
	for(int i=0; i<n; i++){
		if(visine[i]<=l){
			cout<<i+1<<endl;
			ima=true;
			break;
		}
	}
	if(ima==false){
		cout<<-1<<endl;		
	}
}